%define upname  eliom
%define version 2.0.2
%define release %mkrel 1

Summary: Ocaml web framework for ocsigenserver
Name:    ocaml-%{upname}
Version: %{version}
Release: %{release}
Source0: http://ocsigen.org/download/%{upname}-%{version}.tar.gz
License: LGPLv2 with linking exception
Group:   Development/Other
Url:     http://ocsigen.org/eliom/
BuildRequires: camlp4
BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRequires: ocaml-type-conv  
BuildRequires: ocaml-ocsigenserver-devel
BuildRequires: js_of_ocaml
BuildRequires: ocaml-calendar-devel
BuildRequires: ocaml-lwt
BuildRequires: ocaml-react-devel
BuildRequires: ocaml-tyxml-devel
BuildRequires: ocaml-deriving-ocsigen-devel
BuildRequires: ocaml-ssl-devel
BuildRequires: ocamlduce
Requires: ocaml-js_of_ocaml
Requires: ocaml-lwt
Requires: ocaml-react
Requires: ocaml-cryptokit
Requires: ocaml-tyxml
Requires: ocaml-sqlite3
Requires: ocaml-camlzip
Requires: ocaml-react
Requires: ocaml-pcre

%description
Eliom allows one to easily develop sophisticated client/server Web
 applications using OCaml and the ocsigenserver.


%package devel
Summary: Development files for deriving functions from type declarations
Group:   Development/Other
Requires: %{name} = %{version}-%{release}

%description -n %{name}-devel 
The %{name}-devel package contains the headers and native code libraries to
develop applications that use %{name}.


%prep
%setup -q -n %{upname}-%{version}

%build
sh configure \
   --with-ocamlduce \
   --with-preempt \
   --enable-natdynlink \
   --prefix %{_prefix} \
   --bindir %{buildroot}%{_bindir} \
   --docdir %{_docdir}
make


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/eliom
make install


%files

%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/eliom
%{_bindir}/el*
%{_bindir}/js_of_eliom*
%{_libdir}/ocaml/eliom/META
%dir %{_libdir}/ocaml/eliom/server
%{_libdir}/ocaml/eliom/server/*.cma
%{_libdir}/ocaml/eliom/server/*.cmi
%{_libdir}/ocaml/eliom/server/*.cmxs
%dir %{_libdir}/ocaml/eliom/syntax
%{_libdir}/ocaml/eliom/syntax/*.cmi
%{_libdir}/ocaml/eliom/syntax/*.cmo
%dir %{_libdir}/ocaml/eliom/client
%{_libdir}/ocaml/eliom/client/*.cma
%{_libdir}/ocaml/eliom/client/*.cmi
%{_libdir}/ocaml/eliom/client/*.cmo
%{_libdir}/ocaml/eliom/client/*.so
%{_libdir}/ocaml/eliom/client/*.js

%files devel
%{_libdir}/ocaml/eliom/server/*.a
%{_libdir}/ocaml/eliom/server/*.cmxa
%{_libdir}/ocaml/eliom/server/*.mli
%{_libdir}/ocaml/eliom/client/*.a
%{_libdir}/ocaml/eliom/client/*.mli


%changelog

* Sat Feb 25 2012 malo <malo> 2.0.2-1.mga2
+ Revision: 214221
- imported package ocaml-eliom

